<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/taskinfo/Dt_TaskExecuteDetail.js此处编写
 -->
<template>
    <vol-box :lazy="true" v-model="model1" title="任务执行明细信息" :width="1820" :padding="5" :onModelClose="onModelClose">
        <view-grid ref="grid" :columns="columns" :searchFormFields="searchFormFields"
            :searchFormOptions="searchFormOptions" :table="table" :extend="extend">
        </view-grid>
        <template #footer>
            <div>
                <el-button type="primary" size="small" @click="model1 = false">确认</el-button>
                <el-button type="default" size="small" @click="model1 = false">关闭</el-button>
            </div>
        </template>
    </vol-box>
</template>
<script lang="jsx">
import extend from "@/extension/widesea_wms/taskinfo/Dt_TaskExecuteDetail.js";
import VolBox from '@/components/basic/VolBox.vue';
import { ref, defineComponent, getCurrentInstance } from "vue";
export default defineComponent({
    setup() {
        const { ctx: _this } = getCurrentInstance()

        const model1 = ref(false);
        const TaskNum = ref("");

        const openModel1 = (row) => {
            TaskNum.value = row.taskNum;
            model1.value = true;

            _this.$nextTick(() => {
                _this.$refs.grid.refresh();
            })
        }



        const table = ref({
            key: 'taskDetailId',
            footer: "Foots",
            cnName: '任务执行信息',
            name: 'taskinfo/Dt_TaskExecuteDetail',
            url: "/TaskExecuteDetail/",
            sortName: "TaskDetailId"
        });
        const searchFormFields = ref({
            "taskNum": TaskNum,
            "taskState": ""
        });
        const searchFormOptions = ref([
            [
                { "title": "任务号", "field": "taskNum", "type": "like" },
                { "title": "任务状态", "field": "taskState", "type": "select", dataKey: "TaskStatus", data: [] },
            ],
        ]);
        const columns = ref([{ field: 'taskDetailId', title: 'TaskDetailId', type: 'int', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'taskId', title: '任务主键', type: 'int', width: 110, hidden: true, align: 'left', sort: true },
        { field: 'taskNum', title: '任务号', type: 'string', width: 60, align: 'left' },
        { field: 'taskState', title: '任务状态', type: 'int', width: 60, align: 'left', bind: { key: "TaskStatus", data: [] } },
        { field: 'isManual', title: '是否人工操作', type: 'bool', width: 60, align: 'left', bind: { key: "isManual", data: [{ key: "false", value: "自动执行" }, { key: "true", value: "人工操作" }] } },
        { field: 'remark', title: '执行信息', type: 'string', width: 180, align: 'left' },
        { field: 'createID', title: '创建ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'creater', title: '创建人', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'createDate', title: '记录时间', type: 'datetime', sort: true, width: 60, align: 'left', sort: true },
        { field: 'modifyID', title: '修改人ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'modifier', title: '修改人', type: 'string', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 150, hidden: true, align: 'left', sort: true },]);
        return {
            table,
            extend,
            searchFormFields,
            searchFormOptions,
            columns,
            model1,
            TaskNum,
            VolBox,
            openModel1,
        };
    },
    components: {
        'vol-box': VolBox
    },
});
</script>
